/report/insight/metrics/latency
Daily page, tag, ad unit and ad latency at the 50th, 95th and 99th percentiles, weighted by traffic
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/metrics/latency \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/insight/metrics/latency"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/insight/metrics/latency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/insight/metrics/latency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/insight/metrics/latency"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/insight/metrics/latency")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/insight/metrics/latency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"dates": [
"2026-10-19",
"2026-10-20",
"2026-10-21"
],
"tag_latency_50th": [
2015.0001,
2459.4999,
2204.15
],
"tag_latency_95th": [
13543.3799,
14001.055,
14162.7701
],
"tag_latency_99th": [
30355.66,
36605.656,
36641.7059
],
"page_latency_50th": [
396,
464.3,
424.4
],
"page_latency_95th": [
3077.015,
3354.8,
3206.535
],
"page_latency_99th": [
7528.26,
9180.29,
9522.974
],
"dom_latency_50th": [
2916,
3454.7,
3559.9
],
"dom_latency_95th": [
34340.96,
35866.09,
42980.29
],
"dom_latency_99th": [
100352.97,
111828.063,
141844.44
],
"unit_latency_50th": [
1450.25,
1422.5,
1489.1
],
"unit_latency_95th": [
6210.4,
6388.9,
6102.75
],
"unit_latency_99th": [
14880.2,
15402.6,
14975.3
],
"ad_latency_50th": [
812.5,
790,
835.2
],
"ad_latency_95th": [
3920.6,
3874.15,
4011.8
],
"ad_latency_99th": [
9876.4,
10230.9,
9988.1
],
"publisher": [
{
"uid": 1001,
"domain": "example.com",
"label": "",
"tag_latency_50th": 2210.4,
"tag_latency_95th": 13802.5,
"tag_latency_99th": 33410.2,
"page_latency_50th": 431.2,
"page_latency_95th": 3215.6,
"page_latency_99th": 8640.9,
"dom_latency_50th": 3301.5,
"dom_latency_95th": 37502.8,
"dom_latency_99th": 118204.6,
"unit_latency_50th": 1461.3,
"unit_latency_95th": 6250.1,
"unit_latency_99th": 15080.4,
"ad_latency_50th": 808.9,
"ad_latency_95th": 3901.2,
"ad_latency_99th": 10012.7
},
{
"uid": 1002,
"domain": "example.co.uk",
"label": "Mobile",
"tag_latency_50th": 2398.7,
"tag_latency_95th": 14250.3,
"tag_latency_99th": 35120.8,
"page_latency_50th": 445.9,
"page_latency_95th": 3290.4,
"page_latency_99th": 8902.1,
"dom_latency_50th": 3402.6,
"dom_latency_95th": 38110.5,
"dom_latency_99th": 120930.2
}
]
},
"success": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
One or more publisher IDs, comma-separated. Defaults to all publishers in your organisation
Date range to report on. Preset ranges end yesterday. month_to_date is the current month so far and week_to_date is the current week so far. month_on_month and quarter_on_quarter return monthly or quarterly totals, with the latest period incomplete. custom requires start and end (YYYY-MM-DD). Other values return a 400 error
custom, all_time, seven_days, fourteen_days, thirty_days, three_months, six_months, week_to_date, month_to_date, quarter_to_date, year_to_date, last_week, last_month, last_quarter, last_year, month_on_month, quarter_on_quarter, yesterday Start date when range=custom
End date when range=custom
Groups the series by day, month or quarter. month_on_month and quarter_on_quarter group automatically
day, month, quarter Was this page helpful?
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/metrics/latency \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/insight/metrics/latency"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/insight/metrics/latency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/insight/metrics/latency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/insight/metrics/latency"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/insight/metrics/latency")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/insight/metrics/latency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"dates": [
"2026-10-19",
"2026-10-20",
"2026-10-21"
],
"tag_latency_50th": [
2015.0001,
2459.4999,
2204.15
],
"tag_latency_95th": [
13543.3799,
14001.055,
14162.7701
],
"tag_latency_99th": [
30355.66,
36605.656,
36641.7059
],
"page_latency_50th": [
396,
464.3,
424.4
],
"page_latency_95th": [
3077.015,
3354.8,
3206.535
],
"page_latency_99th": [
7528.26,
9180.29,
9522.974
],
"dom_latency_50th": [
2916,
3454.7,
3559.9
],
"dom_latency_95th": [
34340.96,
35866.09,
42980.29
],
"dom_latency_99th": [
100352.97,
111828.063,
141844.44
],
"unit_latency_50th": [
1450.25,
1422.5,
1489.1
],
"unit_latency_95th": [
6210.4,
6388.9,
6102.75
],
"unit_latency_99th": [
14880.2,
15402.6,
14975.3
],
"ad_latency_50th": [
812.5,
790,
835.2
],
"ad_latency_95th": [
3920.6,
3874.15,
4011.8
],
"ad_latency_99th": [
9876.4,
10230.9,
9988.1
],
"publisher": [
{
"uid": 1001,
"domain": "example.com",
"label": "",
"tag_latency_50th": 2210.4,
"tag_latency_95th": 13802.5,
"tag_latency_99th": 33410.2,
"page_latency_50th": 431.2,
"page_latency_95th": 3215.6,
"page_latency_99th": 8640.9,
"dom_latency_50th": 3301.5,
"dom_latency_95th": 37502.8,
"dom_latency_99th": 118204.6,
"unit_latency_50th": 1461.3,
"unit_latency_95th": 6250.1,
"unit_latency_99th": 15080.4,
"ad_latency_50th": 808.9,
"ad_latency_95th": 3901.2,
"ad_latency_99th": 10012.7
},
{
"uid": 1002,
"domain": "example.co.uk",
"label": "Mobile",
"tag_latency_50th": 2398.7,
"tag_latency_95th": 14250.3,
"tag_latency_99th": 35120.8,
"page_latency_50th": 445.9,
"page_latency_95th": 3290.4,
"page_latency_99th": 8902.1,
"dom_latency_50th": 3402.6,
"dom_latency_95th": 38110.5,
"dom_latency_99th": 120930.2
}
]
},
"success": true
}